Foreman - Bug #36617

Pin minitest < 5.19 to resolve test failures
07/27/2023 07:59 PM - Samir Jha

Status: Closed
Priority: Normal
Assignee: Samir Jha
Category: Tests
Target version:
Difficulty: Fixed in Releases: 3.6.2,3.7.1,3.8.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9781,
https://github.com/theforeman/foreman/p
ull/9784,
https://github.com/theforeman/foreman/p
ull/9786,
https://github.com/theforeman/foreman/p
ull/9790,
https://github.com/theforeman/foreman/p
ull/9798
Description

5.19.0 release of minitest causes errors with several of test gems we use. (https:/github.com/minitest/minitest/issues/960)
| was able to see issues with minitest-spec-rails-6.2.0, mocha(Their latest release fixes this), shoulda-matchers-4.3.0.. | didn't go
further.. We should pin minitest to 5.18.1 for now to unblock our tests.

Associated revisions

Revision 1c3a4155 - 07/28/2023 10:24 AM - Samir Jha

Fixes #36617 - Pin minitest < 5.19 to resolve test failures

History

#1 - 07/27/2023 08:04 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Samir Jha

- Pull request https://github.com/theforeman/foreman/pull/9781 added

#2 - 07/28/2023 10:25 AM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#3 - 07/28/2023 11:00 AM - Samir Jha
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1c3a4155f286352e0abbf0d0b298e47e81c2d6c5.

#4 - 07/31/2023 01:05 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9784 added

#5 - 07/31/2023 01:40 PM - The Foreman Bot
- Fixed in Releases 3.6.2 added

#6 - 08/01/2023 07:11 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9786 added
https://github.com/minitest/minitest/issues/960
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1c3a4155f286352e0abbf0d0b298e47e81c2d6c5

#7 - 08/03/2023 11:33 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9790 added

#8 - 08/03/2023 01:32 PM - The Foreman Bot
- Fixed in Releases 3.7.1 added

#9 - 08/08/2023 11:45 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9798 added

#10 - 08/29/2023 11:38 AM - Ewoud Kohl van Wijngaarden
- Category set to Tests

- Triaged changed from No to Yes
